org.eclipse.rdf4j.sail.lucene.config

## Class AbstractLuceneSailConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig
    - - org.eclipse.rdf4j.sail.lucene.config.AbstractLuceneSailConfig

- All Implemented Interfaces:
    DelegatingSailImplConfig, SailImplConfig
  Direct Known Subclasses:
    ElasticsearchSailConfig, LuceneSailConfig, LuceneSpinSailConfig, SolrSailConfig

      public abstract class AbstractLuceneSailConfig
      extends AbstractDelegatingSailImplConfig

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractLuceneSailConfig(String type)`
    `protected` | `AbstractLuceneSailConfig(String type, SailImplConfig delegate)`
    `protected` | `AbstractLuceneSailConfig(String type, String luceneDir)`
    `protected` | `AbstractLuceneSailConfig(String type, String luceneDir, SailImplConfig delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `export(Model m)`
    `String` | `getIndexDir()`
    `String` | `getParameter(String key)`
    `Set<String>` | `getParameterNames()`
    `void` | `parse(Model graph, Resource implNode)`
    `void` | `setIndexDir(String luceneDir)`
    `void` | `setParameter(String key, String value)`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig

      `getDelegate, setDelegate, validate`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.config.SailImplConfig

      `getIterationCacheSyncThreshold, getType`

- - ### Constructor Detail

    - #### AbstractLuceneSailConfig

          protected AbstractLuceneSailConfig(String type)

    - #### AbstractLuceneSailConfig

          protected AbstractLuceneSailConfig(String type,
                                             SailImplConfig delegate)

    - #### AbstractLuceneSailConfig

          protected AbstractLuceneSailConfig(String type,
                                             String luceneDir)

    - #### AbstractLuceneSailConfig

          protected AbstractLuceneSailConfig(String type,
                                             String luceneDir,
                                             SailImplConfig delegate)

  - ### Method Detail

    - #### getIndexDir

          public String getIndexDir()

    - #### setIndexDir

          public void setIndexDir(String luceneDir)

    - #### getParameter

          public String getParameter(String key)

    - #### setParameter

          public void setParameter(String key,
                                   String value)

    - #### getParameterNames

          public Set<String> getParameterNames()

    - #### export

          public Resource export(Model m)

      Specified by:
        `export` in interface `SailImplConfig`
      Overrides:
        `export` in class `AbstractDelegatingSailImplConfig`

    - #### parse

          public void parse(Model graph,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `AbstractDelegatingSailImplConfig`
      Throws:
        `SailConfigException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.